# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::EdgeUpdateCallback Class Reference

The EdgeUpdateCallback class updates at every frame the edges of an Actor for the purpose of edge-enhancement. More...

`#include <EdgeUpdateCallback.hpp>`

Inheritance diagram for vl::EdgeUpdateCallback:

List of all members.

## Public Member Functions

| EdgeUpdateCallback ()
| EdgeUpdateCallback (const std::vector< EdgeExtractor::Edge > &edge)
void | setShowCreases (bool sonly)
| If `true` only the edges forming the silhouette of an object will be rendered.
bool | showCreases () const
| If `true` only the edges forming the silhouette of an object will be rendered.
virtual void | onActorDelete (Actor *)
| Event notifying that an Actor is being deleted.
virtual void | onActorRenderStarted (Actor *act, real, const Camera *cam, Renderable *renderable, const Shader *, int pass)
| Event generated just before an Actor is rendered but after the render states are ready and setup.
const std::vector < EdgeExtractor::Edge > & | edges () const
std::vector < EdgeExtractor::Edge > & | edges ()

## Detailed Description

The EdgeUpdateCallback class updates at every frame the edges of an Actor for the purpose of edge-enhancement.

See also:
  EdgeExtractor

Definition at line 44 of file EdgeUpdateCallback.hpp.

## Constructor & Destructor Documentation

vl::EdgeUpdateCallback::EdgeUpdateCallback | ( | ) | `[inline]`

Definition at line 49 of file EdgeUpdateCallback.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

vl::EdgeUpdateCallback::EdgeUpdateCallback | ( | const std::vector< EdgeExtractor::Edge > & | edge ) | `[inline]`

Definition at line 54 of file EdgeUpdateCallback.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

void vl::EdgeUpdateCallback::setShowCreases | ( | bool | sonly ) | `[inline]`

If `true` only the edges forming the silhouette of an object will be rendered.

Definition at line 60 of file EdgeUpdateCallback.hpp.

bool vl::EdgeUpdateCallback::showCreases | ( | ) | const`[inline]`

If `true` only the edges forming the silhouette of an object will be rendered.

Definition at line 62 of file EdgeUpdateCallback.hpp.

Referenced by onActorRenderStarted().

virtual void vl::EdgeUpdateCallback::onActorDelete | ( | Actor * | actor ) | `[inline, virtual]`

Event notifying that an Actor is being deleted.

Implements vl::ActorEventCallback.

Definition at line 64 of file EdgeUpdateCallback.hpp.

virtual void vl::EdgeUpdateCallback::onActorRenderStarted | ( | Actor * | actor,
|  | real | frame_clock,
|  | const Camera * | cam,
|  | Renderable * | renderable,
|  | const Shader * | shader,
|  | int | pass
| ) |  | `[inline, virtual]`

Event generated just before an Actor is rendered but after the render states are ready and setup.

Reimplement to react to this event.

Parameters:

  actor | The Actor bound to this rendering callback.
  frame_clock | The current rendering frame time, usually used for animation purposes.
  cam | The camera used for the current rendering.
  renderable | The currently selected Actor LOD.
  shader | The currently active Shader.
  pass | The current Actor[s] rendering pass.

Implements vl::ActorEventCallback.

Definition at line 66 of file EdgeUpdateCallback.hpp.

References vl::Matrix4< T_Scalar >::as3x3(), vl::dot(), edges(), vl::Matrix4< T_Scalar >::getInverse(), vl::Vector3< T_Scalar >::normalize(), showCreases(), vl::Actor::transform(), vl::Camera::viewMatrix(), and vl::Transform::worldMatrix().

const std::vector<EdgeExtractor::Edge>& vl::EdgeUpdateCallback::edges | ( | ) | const`[inline]`

Definition at line 105 of file EdgeUpdateCallback.hpp.

Referenced by onActorRenderStarted().

std::vector<EdgeExtractor::Edge>& vl::EdgeUpdateCallback::edges | ( | ) | `[inline]`

Definition at line 106 of file EdgeUpdateCallback.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/EdgeUpdateCallback.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:35.
Permission is granted to use this page to write and publish articles regarding Visualization Library.